%global srcname build-helper-maven-plugin

Name:           maven-plugin-build-helper
Version:        3.2.0
Release:        %mkrel 1
Summary:        Build Helper Maven Plugin
Group:          Development/Java
License:        MIT

URL:            https://www.mojohaus.org/build-helper-maven-plugin/
Source0:        https://github.com/mojohaus/%{srcname}/archive/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache-extras.beanshell:bsh)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.shared:file-management)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)

%description
This plugin contains various small independent goals to assist with
Maven build lifecycle.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides %{summary}.

%prep
%setup -q -n %{srcname}-%{srcname}-%{version}

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt
%doc README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt


%changelog
* Mon Aug 24 2020 neoclust <neoclust> 3.2.0-1.mga8
+ Revision: 1618556
- New version 3.2.0

* Wed Feb 12 2020 umeabot <umeabot> 1.9.1-7.mga8
+ Revision: 1491757
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.9.1-6.mga7
+ Revision: 1264073
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 1.9.1-5.mga6
+ Revision: 1101425
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.9.1-3.mga6
+ Revision: 977321
- First rebuild of the java stack
- sync package maven-plugin-build-helper with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Jan 19 2015 pterjan <pterjan> 1.9.1-1.mga5
+ Revision: 811411
- Patch to fix build
- Sync with Fedora 21 (Update to 1.9)

* Wed Oct 15 2014 umeabot <umeabot> 1.8-5.mga5
+ Revision: 740586
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.8-3.mga4
+ Revision: 535134
- Mageia 4 Mass Rebuild
+ dmorgan <dmorgan>
- Rebuild against new javapackages

* Wed Sep 18 2013 dmorgan <dmorgan> 1.8-1.mga4
+ Revision: 481183
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.5-6.mga3
+ Revision: 359706
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 dmorgan <dmorgan> 1.5-5.mga3
+ Revision: 267877
- Adapt to guidelines

* Thu Apr 28 2011 dmorgan <dmorgan> 1.5-4.mga1
+ Revision: 92712
- Rebuild after bootstrapping
- imported package maven-plugin-build-helper


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 28 2010 Alexander Kurtakov <akurtako@redhat.com> 1.5-2
- Maven plugins should require parent poms because they are totally unusable without them.

* Thu Sep 16 2010 Alexander Kurtakov <akurtako@redhat.com> 1.5-1
- Update to 1.5.
- Use newer maven packages' names.

* Thu Sep 10 2009 Alexander Kurtakov <akurtako@gmail.com> 1.4-1
- Initial package.
